BANK KALTENG - Bug #2009

[ESS Leave] Validasi Cuti Bersalin
02/15/2023 04:42 PM - Mega Yunita

Status: Closed Start date: 02/15/2023
Priority: Normal Due date: 02/16/2023
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 1.50 hour
Description

Dear Azid,

Mohon bantuannya untuk memperbaiki masalah yang terjadi saat mengajukan Cuti Bersalin, yaitu ada beberapa ketentuan validasi :

- Cuti Bersalin dengan kode Absence Type 06

- Hanya diberikan kepada karyawan Wanita (laki-laki tidak bisa submit) (Gender : 02)

- Cuti selama 3 bulan, 1 bulan sebelum melairkan, 2 bulan setelah melahirkan (membaca Calender Days)
- Pengajuan dilakuan selambat-lambatnya 10 hk sebelum pelaksanaan cuti

- Cuti tahunan dan cuti besar gugur

C———

». Main
Absence Type Cufi Bersalin MNotes
Start Date 01/03/2023 i
End Date: 28/05/2023
Total Absence Taken: 54
~ Curent Quota membaca Calender Days
Original Quota 90 /
Quota Taken 54 /‘
Remaining Quota: a0
Total Remaining Quota: 1
. Next Quota
Qriginal Quota
Quota Taken
Remaining Quota
Port : https://hris.bankkalteng.co.id/
Server : 103.168.134.119
DB : MinovaES_BankKalteng_Prod
Terima kasih
Related issues:
Copied to Bug #2020: [ESS Leave] Validasi Pengajuan Cuti Menghitung Calender ... Closed 02/15/2023 02/23/2023

History

#1 - 02/15/2023 09:43 PM - M Azid Wahyudi
- File clipboard-202302152134-kl1mj.png added
https://hris.bankkalteng.co.id/

- File clipboard-202302152140-9cmijl.png added
- Status changed from Assigned to QA Test
- Assignee changed from M Azid Wahyudi to Mega Yunita

dear mega , udah bisa di test ya

Minova ES | Le: s Bug #2009: [ESS Leave] Validas Minova ES | Leave

hris.bankkalteng,

MyWorkpiace  MssterData  Human Resource  Business Iteligence  System Administration Seareh Q hep B Megay -

b Leave

HOME > LEAVE

Requester ID 10000270

 MyReport

B HR Administration Requester Name: USER MINOVA

Description
Attendance

M Benefit Management

W Travel Management

Forwarding Task A Main
Inbox
Outbox Absence Type: Cuti Bersalin Notes
e Start Date: 251022023
Delete Request ID
End Date [ 2510512023
M Master Data
" Total Absence Taken 90

B Human Resource

B Business Intelligence

M System Administration

Coves

Comment @ Add | [ Delete @ Download
Title | IsPriva.. = Notes
CommentPrivate NO No Data Display
History
TaskName PIC | Da. Comment

No Data Display

ERROR

® Cuti berlaku hanya untuk wanita

package :

update bizproc (onMethod)
update custparam (TotalAbsenceTaken)

makasih

#2 - 02/15/2023 09:45 PM - M Azid Wahyudi
- File clipboard-202302152144-yc030.png added

cuti yang lain off tidak di hitung
% | [ SQL Formatter & Beautifier Onlir X Bug #2009: [ESS Leave] Validas

hris. bankkalteng.co.id,

MyWorkpiace  MasterData  Human Resource  Business Intelligence  System Administration Searcn Q. wep B Megay -

-
o |:|

A Main

W MyReport

B HR Administration

3 e Absence Type: Cuti Tahunan Notes
Start Date 22/02/2023
CHEETED End Date 271022023
Total Absence Taken 4

M Benefit Management

™ Travel Management A Curent Quota

Forwarding Task

Inbox Original Quota: 2
Quibox Quota Taken 4
Archive
Remaining Quota 2
Delete Request ID
Total Remaining Quota: 8
B Master Data
B Human Resource ~ Next Quota

I Business Intelligence

W System Administration Original Quota
Quota Taken 0
Remaining Quota

Total Remaining Quota ]

o

Comment @ Add | [ Delete @ Download

Title | IsPriva.. = Notes

#3 - 02/22/2023 10:33 AM - Mega Yunita
- Copied to Bug #2020: [ESS Leave] Validasi Pengajuan Cuti Menghitung Calender Days added

#4 - 03/03/2023 09:49 AM - Mega Yunita
- Status changed from QA Test to Closed
